Permalink
Browse files

NXCM-3900: Removing the patched dependencies

* removed 1.7.0-SONATYPE version of commons-beanutils and using the proper ones
* tattletale fixed to neglect commons-beanutils for now (see comment in POM)
* switching to "canonical" versions of HttpClient 3.1 wherever the patched is not needed (Nexus Core)
  • Loading branch information...
cstamas committed Feb 16, 2012
1 parent bbbc4db commit 30824f3a2cb7a337db462de47badd42cbb187d6c
@@ -219,6 +219,18 @@
<groupId>org.sonatype.nexus.restlight</groupId>
<artifactId>nexus-restlight-client-common</artifactId>
</dependency>
+ <!-- We don't want to use a "nexus only" patched HttpClient 3.1 that is not in Central -->
+ <dependency>
+ <groupId>commons-httpclient</groupId>
+ <artifactId>commons-httpclient</artifactId>
+ <version>3.1</version>
+ <exclusions>
+ <exclusion>
+ <artifactId>commons-logging</artifactId>
+ <groupId>commons-logging</groupId>
+ </exclusion>
+ </exclusions>
+ </dependency>
<dependency>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-utils</artifactId>
@@ -332,10 +344,12 @@
<dependency>
<groupId>commons-beanutils</groupId>
<artifactId>commons-beanutils-core</artifactId>
+ <version>1.7.0</version>
</dependency>
<dependency>
<groupId>commons-beanutils</groupId>
<artifactId>commons-beanutils-bean-collections</artifactId>
+ <version>1.7.0</version>
</dependency>
<dependency>
<groupId>commons-collections</groupId>
@@ -50,6 +50,18 @@
<artifactId>plexus-restlet-bridge</artifactId>
<version>${plexus.restlet.bridge.version}</version>
</dependency>
+ <!-- We don't want to use a "nexus only" patched HttpClient 3.1 that is not in Central -->
+ <dependency>
+ <groupId>commons-httpclient</groupId>
+ <artifactId>commons-httpclient</artifactId>
+ <version>3.1</version>
+ <exclusions>
+ <exclusion>
+ <artifactId>commons-logging</artifactId>
+ <groupId>commons-logging</groupId>
+ </exclusion>
+ </exclusions>
+ </dependency>
<dependency>
<groupId>com.thoughtworks.xstream</groupId>
@@ -50,10 +50,11 @@
<artifactId>jdom</artifactId>
<version>1.1</version>
</dependency>
+ <!-- We don't want to use a "nexus only" patched HttpClient 3.1 that is not in Central -->
<dependency>
<groupId>commons-httpclient</groupId>
<artifactId>commons-httpclient</artifactId>
- <version>3.1.SONATYPE</version>
+ <version>3.1</version>
<exclusions>
<exclusion>
<artifactId>commons-logging</artifactId>
@@ -116,6 +116,8 @@
<excludes>
<!-- I hate this too, but other pattern did not help (ie. xmlpull-*.jar) At least build will fail anyway if version changes... -->
<exclude>xmlpull-1.1.3.1.jar</exclude>
+ <!-- Remove once Commons Beanutils 1.8.4 is released and we upgrade to it, see BEANUTILS-379 -->
+ <exclude>commons-beanutils-core-1.7.0.jar</exclude>
</excludes>
</configuration>
</execution>
View
@@ -159,8 +159,7 @@
<aether.version>1.13</aether.version>
<aspectj.version>1.6.11</aspectj.version>
- <commons-beanutils.baseVersion>1.7.0</commons-beanutils.baseVersion>
- <commons-beanutils.version>${commons-beanutils.baseVersion}-SONATYPE</commons-beanutils.version>
+ <commons-beanutils.version>1.7.0</commons-beanutils.version>
<enunciate.version>1.20</enunciate.version>
<jetty.version>6.1.19</jetty.version>
<jsw.binaries.version>3.2.3.5</jsw.binaries.version>
@@ -601,7 +600,7 @@
<dependency>
<groupId>commons-beanutils</groupId>
<artifactId>commons-beanutils-bean-collections</artifactId>
- <version>${commons-beanutils.baseVersion}</version>
+ <version>${commons-beanutils.version}</version>
</dependency>
<!-- SLF4J Logging -->

0 comments on commit 30824f3

Please sign in to comment.